<div class="flex flex-col-reverse lg:flex-row mx-6 mt-[5px]">
  <ul class="list-none lg:w-[70%]">
    <li class="w-[72px] float-left m-[3px] mr-[42px]">
      <app-trooper-cell [trooper]="selectedTrooper"></app-trooper-cell>
    </li>
    <li *ngFor="let skill of skills" class="m-[3px] float-left">
      <img
        [appTooltip]="skill"
        [src]="'/assets/images/skills/' + skill + '.png'"
        alt=""
        class="w-[33px] h-[33px] opacity-20"
        [class.!opacity-100]="unlockedSkills[skill]"
        draggable="false"
      />
    </li>
  </ul>

  <div class="lg:w-[35%] mt-[5px] px-6 flex flex-col mb-5 lg:mb-0">
    <app-command-button
      [type]="'blue'"
      [text]="'Améliorer pour ' + upgradeCost"
      [icon]="'/assets/images/token.webp'"
      (clicked)="payUpgrade()"
    ></app-command-button>

    <form [formGroup]="updateForm" class="mt-5 text-[#6b4320] text-sm">
      <label for="preferedWeapon" class="block mr-4"> Name : </label>
      <input
        name="name"
        formControlName="name"
        maxlength="11"
        id="name"
        class="bg-gray-50 text-black font-normal p-1 rounded border border-[#7c8999] mb-2 w-full h-[26px]"
      />

      <div *ngFor="let update of updates" class="mb-2">
        <label [for]="update.value" class="block mr-4">
          {{ update.label }} :
        </label>
        <select
          [name]="update.value"
          [id]="update.value"
          [formControlName]="update.value"
          class="text-black font-normal p-[2px] rounded border border-[#7c8999] bg-gray-50 mr-1 h-[26px] w-full"
        >
          <option *ngFor="let option of update.options" [value]="option.value">
            {{ option.name }}
          </option>
        </select>
      </div>
    </form>
  </div>
</div>
